Tmate Socket-Error

tinfoil-hat

Active Member
Joined
Oct 24, 2021
Messages
349
Reaction score
173
Credits
2,418
Hi there, I've installed tmate and got an API Key from https://tmate.io/

I get the error:

Code:
Error reading from channel: Socket error: disconnected
Reconnecting... (Error reading from channel: Socket error: disconnected)

My config looks like this:

Code:
set tmate-api-key "API-KEY-HERE"
set tmate-session-name "SESSION-NAME-HERE"

On their Website they have some things that confuse me: They say if errors occur one should get a version higher than 2.4.0
But also they recommend one to apt-get install from Ubuntu which has the version 2.4.0
I tried to compile it, but it wasn't successful, if I really need a new version, I'd appreciate to get help compiling the new version, since I failed already 3 times and had no solution to this

thank you very much - tinfoil-hat

EDIT: I am using LMDE6 and Debian as systems I want to connect
 
Last edited:


Just download the static file from the most recent official release: tmate-2.4.0-static-linux-amd64.tar.xz.
Extract it and the execute it.
Maybe you need the server to connect with it?

Check under: "Host your own tmate servers"

What's wrong with tmux?
 
Last edited:
Just download the static file from the most recent official release: tmate-2.4.0-static-linux-amd64.tar.xz.
Extract it and the execute it.
Maybe you need the server to connect with it?

Check under: "Host your own tmate servers"

What's wrong with tmux?
Hi, I am fine with using their servers. Also the debian install sais it's version

Code:
tmate -V                   
tmate 2.4.0

But I still get mentioned error
 

Members online

No members online now.

Top